Source: plasma-activities-stats
Section: libs
Priority: optional
Maintainer: Jonathan Riddell <jr@jriddell.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               plasma-activities-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               libboost-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git

Package: plasma-activities-stats
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kactivities6-stats,
          kf6-kactivities-stats,
          libkf6activitiesstats1,
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.

Package: plasma-activities-stats-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: plasma-activities-stats (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: kactivities6-stats-dev,
          kf6-kactivities-stats-dev,
          libkf6activitiesstats-dev,
          libkf6activitiesstats-doc,
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for plasma-activities-stats.

Package: libkf6activitiesstats-doc
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activitiesstats1
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activitiesstats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-stats
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kactivities6-stats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities-stats
Architecture: all
Depends: plasma-activities-stats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kactivities-stats-dev
Architecture: all
Depends: plasma-activities-stats-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
